ValueInstantiator.Base
Date: 2016-12-04

com.fasterxml.jackson.databind.deser

## Class ValueInstantiator.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.ValueInstantiator
  - - com.fasterxml.jackson.databind.deser.ValueInstantiator.Base

- Direct Known Subclasses:
    JsonLocationInstantiator
  Enclosing class:
    ValueInstantiator

      public static class ValueInstantiator.Base
      extends ValueInstantiator

  Partial `ValueInstantiator` implementation that is strongly recommended to be used instead of directly extending `ValueInstantiator` itself.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

      `ValueInstantiator.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class<?>` | `_valueType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueInstantiator.Base(java.lang.Class<?> type)`
    `ValueInstantiator.Base(JavaType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getValueClass()` Accessor for raw (type-erased) type of instances to create.
    `java.lang.String` | `getValueTypeDesc()` Method that returns description of the value type this instantiator handles.

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

      `_createFromStringFallbacks, canCreateFromBoolean, canCreateFromDouble, canCreateFromInt, canCreateFromLong, canCreateFromObjectWith, canCreateFromString, canCreateUsingArrayDelegate, canCreateUsingDefault, canCreateUsingDelegate, canInstantiate, createFromBoolean, createFromDouble, createFromInt, createFromLong, createFromObjectWith, createFromObjectWith, createFromString, createUsingArrayDelegate, createUsingDefault, createUsingDelegate, getArrayDelegateCreator, getArrayDelegateType, getDefaultCreator, getDelegateCreator, getDelegateType, getFromObjectArguments, getIncompleteParameter, getWithArgsCreator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _valueType

          protected final java.lang.Class<?> _valueType

  - ### Constructor Detail

    - #### ValueInstantiator.Base

          public ValueInstantiator.Base(java.lang.Class<?> type)

    - #### ValueInstantiator.Base

          public ValueInstantiator.Base(JavaType type)

  - ### Method Detail

    - #### getValueTypeDesc

          public java.lang.String getValueTypeDesc()

      Description copied from class: `ValueInstantiator`
      Method that returns description of the value type this instantiator handles. Used for error messages, diagnostics.
      Overrides:
        `getValueTypeDesc` in class `ValueInstantiator`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Description copied from class: `ValueInstantiator`
      Accessor for raw (type-erased) type of instances to create.

      NOTE: since this method has not existed since beginning of Jackson 2.0 series, default implementation will just return `Object.class`; implementations are expected to override it with real value.

      Overrides:
        `getValueClass` in class `ValueInstantiator`